
.navigation__checkbox {
  display: none; }

.navigation__button {
  background-color: #44aad8;
  height: 3rem;
  width: 3rem;
  position: fixed;
  top: 1rem;
  left: 19em;
  border-radius: 50%;
  border: 1px solid rgba(235, 137, 137, 0.2);
  z-index: 500;
  text-align: center;
  cursor: pointer; }

.navigation__background {
  height: 2.5rem;
  width: 2.5rem;
  border-radius: 50%;
  position: fixed;
  top: 1.2rem;
  left: 19.2rem;
  background-image: radial-gradient(#44AAD8, #13649F);
  z-index: 300;
  transition: transform 0.8s cubic-bezier(0.86, 0, 0.07, 1); }

.navigation__nav {
  height: 100vh;
  width: 0;
  opacity: 0;
  position: fixed;
  top: 0;
  right: 0;
  z-index: 350;
  transition: all 0.8s cubic-bezier(0.68, -0.55, 0.265, 1.55); }

.navigation__list {
  position: absolute;
  padding-left: 0;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  list-style: none;
  text-align: center;
  width: 100%; }

.navigation__item {
  margin: 1rem; }

.navigation__link:link, .navigation__link:visited {
  font-size: 2rem;
  /* font-weight: 150; */
  padding: 1rem 2rem;
  color: #ffffff;
  text-decoration: none;
  text-transform: uppercase;
  // background-image: linear-gradient(120deg, transparent 0%, transparent 50%, #ffffff 50%);
  // background-size: 220%;
  transition: all .4s;
  display: inline-block; }

.navigation__link:hover, .navigation__link:active {
  background-position: 100%;
  color: #000000;
  transform: translateX(1rem); }

.navigation__checkbox:checked ~ .navigation__background {
  transform: scale(80); }

.navigation__checkbox:checked ~ .navigation__nav {
  opacity: 1;
  width: 100%; }

.navigation__icon {
  position: relative;
  margin-top: 1.5rem; }

.navigation__icon, .navigation__icon::before, .navigation__icon::after {
  width: 1.5rem;
  height: 1px;
  background-color: rgba(0, 0, 0, 0.8);
  display: inline-block; }

.navigation__icon::before, .navigation__icon::after {
  content: "";
  position: absolute;
  left: 0;
  transition: all .2s; }

.navigation__icon::before {
  top: -.5rem;
  transform-origin: right; }

.navigation__icon::after {
  top: .5rem;
  transform-origin: left; }

.navigation__button:hover .navigation__icon::before {
  top: -.5rem; }

.navigation__button:hover .navigation__icon::after {
  top: .5rem; }

.navigation__checkbox:checked + .navigation__button .navigation__icon {
  background-color: transparent; }

.navigation__checkbox:checked + .navigation__button .navigation__icon::before {
  top: .5rem;
  left: -.2rem;
  transform: rotate(42deg); }

.navigation__checkbox:checked + .navigation__button .navigation__icon::after {
  top: .5rem;
  left: 0.2rem;
  transform: rotate(-42deg); }
  @media only screen and (min-width: 700px) {
    .navigation__button {
      left: 41em; }
  
    .navigation__background {
      left: 41.2rem; } 
  }
      
      
      
      @media only screen and (max-width: 320px)
      {
      
        .navigation__button {
          left: 15em; }
      
        .navigation__background {
          left: 15.2em;}
       }